diff --git a/x-pack/plugin/security/src/test/java/org/elasticsearch/integration/ClusterPrivilegeTests.java b/x-pack/plugin/security/src/test/java/org/elasticsearch/integration/ClusterPrivilegeTests.java
index 3b30982784b76..820dba9b96b6d 100644
--- a/x-pack/plugin/security/src/test/java/org/elasticsearch/integration/ClusterPrivilegeTests.java
+++ b/x-pack/plugin/security/src/test/java/org/elasticsearch/integration/ClusterPrivilegeTests.java
@@ -168,6 +168,7 @@ public void testThatSnapshotAndRestore() throws Exception {
         waitForSnapshotToFinish("my-repo", "my-snapshot");
         // user_d can create snapshots, but not concurrently
         assertAccessIsAllowed("user_d", "PUT", "/_snapshot/my-repo/my-snapshot-d", "{ \"indices\": \"someindex\" }");
+        waitForSnapshotToFinish("my-repo", "my-snapshot-d");
 
         assertAccessIsDenied("user_a", "DELETE", "/someindex");
         assertAccessIsDenied("user_b", "DELETE", "/someindex");
